| Version: 3.3.1

Public Member Functions | List of all members
wxAuiNotebookEvent Class Reference
Class List by Category » Events | Class List by Category » Book Controls

`#include <wx/aui/auibook.h>`

Inheritance diagram for wxAuiNotebookEvent:
[legend]

## Detailed Description

This class is used by the events generated by wxAuiNotebook.

Please note that most events generated by wxAuiNotebook are handled by the notebook object itself, i.e. they do not propagate upwards to the notebook parent window, in spite of being command events. In order to handle these events you should use wxEvtHandler::Bind() to connect to the events on the notebook object itself and don't forget to use wxEvent::Skip() to ensure that the notebook still processes them too.

## Events emitted by this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxAuiNotebookEvent& event)

Event macros for events emitted by this class:

- EVT_AUINOTEBOOK_PAGE_CLOSE(id, func):
  A page is about to be closed. Processes a `wxEVT_AUINOTEBOOK_PAGE_CLOSE` event.
- EVT_AUINOTEBOOK_PAGE_CLOSED(winid, fn):
  A page has been closed. Processes a `wxEVT_AUINOTEBOOK_PAGE_CLOSED` event.
- EVT_AUINOTEBOOK_PAGE_CHANGED(id, func):
  The page selection was changed. Processes a `wxEVT_AUINOTEBOOK_PAGE_CHANGED` event.
- EVT_AUINOTEBOOK_PAGE_CHANGING(id, func):
  The page selection is about to be changed. Processes a `wxEVT_AUINOTEBOOK_PAGE_CHANGING` event. This event can be vetoed.
- EVT_AUINOTEBOOK_BUTTON(id, func):
  The window list button has been pressed. Processes a `wxEVT_AUINOTEBOOK_BUTTON` event.
- EVT_AUINOTEBOOK_BEGIN_DRAG(id, func):
  Dragging is about to begin. Processes a `wxEVT_AUINOTEBOOK_BEGIN_DRAG` event.
- EVT_AUINOTEBOOK_END_DRAG(id, func):
  Dragging has ended. Processes a `wxEVT_AUINOTEBOOK_END_DRAG` event.
- EVT_AUINOTEBOOK_DRAG_MOTION(id, func):
  Emitted during a drag and drop operation. Processes a `wxEVT_AUINOTEBOOK_DRAG_MOTION` event.
- EVT_AUINOTEBOOK_ALLOW_DND(id, func):
  Whether to allow a tab to be dropped. Processes a `wxEVT_AUINOTEBOOK_ALLOW_DND` event. This event must be specially allowed.
- EVT_AUINOTEBOOK_DRAG_DONE(winid, fn):
  Notify that the tab has been dragged. Processes a `wxEVT_AUINOTEBOOK_DRAG_DONE` event.
- EVT_AUINOTEBOOK_TAB_MIDDLE_DOWN(winid, fn):
  The middle mouse button is pressed on a tab. Processes a `wxEVT_AUINOTEBOOK_TAB_MIDDLE_DOWN` event.
- EVT_AUINOTEBOOK_TAB_MIDDLE_UP(winid, fn):
  The middle mouse button is released on a tab. Processes a `wxEVT_AUINOTEBOOK_TAB_MIDDLE_UP` event.
- EVT_AUINOTEBOOK_TAB_RIGHT_DOWN(winid, fn):
  The right mouse button is pressed on a tab. Processes a `wxEVT_AUINOTEBOOK_TAB_RIGHT_DOWN` event.
- EVT_AUINOTEBOOK_TAB_RIGHT_UP(winid, fn):
  The right mouse button is released on a tab. Processes a `wxEVT_AUINOTEBOOK_TAB_RIGHT_UP` event.
- EVT_AUINOTEBOOK_BG_DCLICK(winid, fn):
  Double clicked on the tabs background area. Processes a `wxEVT_AUINOTEBOOK_BG_DCLICK` event.

##

Library: wxAui
Category: Events, Book Controls

See also
  wxAuiNotebook, wxBookCtrlEvent

## Public Member Functions
| wxAuiNotebookEvent (wxEventType command_type=wxEVT_NULL, int win_id=0)
| Constructor. More...
wxEvent * | Clone ()
Public Member Functions inherited from wxBookCtrlEvent
| wxBookCtrlEvent (wxEventType eventType=wxEVT_NULL, int id=0, int sel=wxNOT_FOUND, int oldSel=wxNOT_FOUND)
| Constructor (used internally by wxWidgets only). More...
int | GetOldSelection () const
| Returns the page that was selected before the change, `wxNOT_FOUND` if none was selected. More...
int | GetSelection () const
| Returns the currently selected page, or `wxNOT_FOUND` if none was selected. More...
void | SetOldSelection (int page)
| Sets the id of the page selected before the change. More...
void | SetSelection (int page)
| Sets the selection member variable. More...
Public Member Functions inherited from wxNotifyEvent
| wxNotifyEvent (wxEventType eventType=wxEVT_NULL, int id=0)
| Constructor (used internally by wxWidgets only). More...
void | Allow ()
| This is the opposite of Veto(): it explicitly allows the event to be processed. More...
bool | IsAllowed () const
| Returns true if the change is allowed (Veto() hasn't been called) or false otherwise (if it was). More...
void | Veto ()
| Prevents the change announced by this event from happening. More...
Public Member Functions inherited from wxCommandEvent
| wxCommandEvent (wxEventType commandEventType=wxEVT_NULL, int id=0)
| Constructor. More...
void * | GetClientData () const
| Returns client data pointer for a listbox or choice selection event (not valid for a deselection). More...
wxClientData * | GetClientObject () const
| Returns client object pointer for a listbox or choice selection event (not valid for a deselection). More...
long | GetExtraLong () const
| Returns extra information dependent on the event objects type. More...
int | GetInt () const
| Returns the integer identifier corresponding to a listbox, choice or radiobox selection (only if the event was a selection, not a deselection), or a boolean value representing the value of a checkbox. More...
int | GetSelection () const
| Returns item index for a listbox or choice selection event (not valid for a deselection). More...
wxString | GetString () const
| Returns item string for a listbox or choice selection event. More...
bool | IsChecked () const
| This method can be used with checkbox and menu events: for the checkboxes, the method returns true for a selection event and false for a deselection one. More...
bool | IsSelection () const
| For a listbox or similar event, returns true if it is a selection, false if it is a deselection. More...
void | SetClientData (void *clientData)
| Sets the client data for this event. More...
void | SetClientObject (wxClientData *clientObject)
| Sets the client object for this event. More...
void | SetExtraLong (long extraLong)
| Sets the m_extraLong member. More...
void | SetInt (int intCommand)
| Sets the m_commandInt member. More...
void | SetString (const wxString &string)
| Sets the m_commandString member. More...
Public Member Functions inherited from wxEvent
| wxEvent (int id=0, wxEventType eventType=wxEVT_NULL)
| Constructor. More...
virtual wxEvent * | Clone () const =0
| Returns a copy of the event. More...
wxObject * | GetEventObject () const
| Returns the object (usually a window) associated with the event, if any. More...
wxEventType | GetEventType () const
| Returns the identifier of the given event type, such as `wxEVT_BUTTON`. More...
virtual wxEventCategory | GetEventCategory () const
| Returns a generic category for this event. More...
int | GetId () const
| Returns the identifier associated with this event, such as a button command id. More...
wxObject * | GetEventUserData () const
| Return the user data associated with a dynamically connected event handler. More...
bool | GetSkipped () const
| Returns true if the event handler should be skipped, false otherwise. More...
long | GetTimestamp () const
| Gets the timestamp for the event. More...
bool | IsCommandEvent () const
| Returns true if the event is or is derived from wxCommandEvent else it returns false. More...
void | ResumePropagation (int propagationLevel)
| Sets the propagation level to the given value (for example returned from an earlier call to wxEvent::StopPropagation). More...
void | SetEventObject (wxObject *object)
| Sets the originating object. More...
void | SetEventType (wxEventType type)
| Sets the event type. More...
void | SetId (int id)
| Sets the identifier associated with this event, such as a button command id. More...
void | SetTimestamp (long timeStamp=0)
| Sets the timestamp for the event. More...
bool | ShouldPropagate () const
| Test if this event should be propagated or not, i.e. if the propagation level is currently greater than 0. More...
void | Skip (bool skip=true)
| This method can be used inside an event handler to control whether further event handlers bound to this event will be called after the current one returns. More...
int | StopPropagation ()
| Stop the event from propagating to its parent window. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxEvent
int | m_propagationLevel
| Indicates how many levels the event can propagate. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxAuiNotebookEvent()

wxAuiNotebookEvent::wxAuiNotebookEvent | ( | wxEventType | command_type = `wxEVT_NULL`,
|  | int | win_id = `0`
| ) |  |

Constructor.

## Member Function Documentation

## ◆ Clone()

wxEvent* wxAuiNotebookEvent::Clone | ( |  | ) |